Bug 13207 - Не отрабатывает iwpriv
: Не отрабатывает iwpriv
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/etcnet)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-10-24 10:37 by
Modified: 2007-12-12 02:12 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-10-24 10:37:53
В ifaces/eth1/iwpriv написано:

set_power 5

Однако, после поднятия интефейса "iwpriv eth1 get_power" говорит "6".

Использую карту на ipw2200 с WPA2-PSK (wpa_supplicant).  Возможно виноват
wpa_supplicant.
------- Comment #1 From 2007-10-24 13:17:14 -------
Меня интересует вот это:
# ls -l /sys/class/net/eth1/wireless
# grep -q "^[[:blank:]]*eth1:" /proc/net/wireless
------- Comment #2 From 2007-10-24 13:23:52 -------
(In reply to comment #1)
> # ls -l /sys/class/net/eth1/wireless
total 0
-r--r--r-- 1 root root 4096 Oct 24 13:16 beacon
-r--r--r-- 1 root root 4096 Oct 24 13:16 crypt
-r--r--r-- 1 root root 4096 Oct 24 13:16 fragment
-r--r--r-- 1 root root 4096 Oct 24 13:16 level
-r--r--r-- 1 root root 4096 Oct 24 13:16 link
-r--r--r-- 1 root root 4096 Oct 24 13:16 misc
-r--r--r-- 1 root root 4096 Oct 24 13:16 noise
-r--r--r-- 1 root root 4096 Oct 24 13:16 nwid
-r--r--r-- 1 root root 4096 Oct 24 13:16 retries
-r--r--r-- 1 root root 4096 Oct 24 13:16 status

> # grep -q "^[[:blank:]]*eth1:" /proc/net/wireless
Нулевой код возврата (есть там eth1).

Сеть-то поднимается и работает.  Но может wpa_supplicant гадить.  Возможно тогда
имеет смысл перетащить iwpriv после него.
------- Comment #3 From 2007-10-25 01:48:04 -------
01:40 <raorn> Pilot: опа! а iwpriv-то не вызывается!
01:41 <Pilot> raorn: is_wireless глючит?
01:42 <raorn> + '[' -x '' ']'
01:42 <raorn> if [ -x "${IWPRIV:=$DEFAULT_IWPRIV}" ]; then
01:43 <Pilot> осталось только выяснить, что DEFAULT_IWPRIV и type iwpriv не
совпадают
01:43 <raorn> /etc/net/scripts/functions:DEFAULT_IWPRIV=/sbin/iwpriv
01:43 <raorn> iwpriv is /sbin/iwpriv
01:44 <raorn> /etc/net/scripts/functions:declare -rx DEFAULT_IFPLUGD
DEFAULT_IWCONFIG DEFAULT_WPA_SUPPLICANT DEFAULT_WPA_CLI 
              DEFAULT_PLIPCONFIG
01:44 <Pilot> потеряли
01:44 <raorn> может и DEFAULT_IWPRIV сюда надо?
01:44 <Pilot> угу
01:44 <Pilot> спасибо за заметку
01:46 <Pilot> пока что можешь себе записать в options.d/99-local IWPRIV=/sbin/iwpriv
01:46 <raorn> я уже functions поправил
01:47 <Pilot> это непедагогично
------- Comment #4 From 2007-10-25 01:54:50 -------
Committed revision 1241.
------- Comment #5 From 2007-12-12 02:12:32 -------
0.9.5